Skip to main content
GET
/
api
/
flow-execution
List Flow Executions
curl --request GET \
  --url https://api.hilos.io/api/flow-execution \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.hilos.io/api/flow-execution"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.hilos.io/api/flow-execution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "created_by": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "jsmith@example.com",
        "profile_image": "<string>"
      },
      "inbound_start_message": "<string>",
      "inbound_start_message_match_exact": true,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "has_priority": true,
      "flow_execution_variables": {},
      "start_on": "2023-11-07T05:31:56Z",
      "num_contacts": 1073741823,
      "expired": 1073741823,
      "running": 1073741823,
      "completed": 1073741823,
      "canceled": 1073741823,
      "failed": 1073741823,
      "created_on": "2023-11-07T05:31:56Z",
      "avg_completion_time": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Query Parameters

flow
string<uuid>

A Flow Id to filter the Flow Executions and only get those from that Flow.

flow_version
string<uuid>
page
integer

A page number within the paginated result set.

You can search with the status, created_by__email fields.

Response

200 - application/json
count
integer
Example:

123

next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"

results
object[]